diff --git a/guava/src/com/google/common/collect/Multiset.java b/guava/src/com/google/common/collect/Multiset.java
index e7c7d62..dd932e9 100644
--- a/guava/src/com/google/common/collect/Multiset.java
+++ b/guava/src/com/google/common/collect/Multiset.java
@@ -18,10 +18,6 @@ package com.google.common.collect;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.errorprone.annotations.CompatibleWith;
 import java.util.Collection;
 import java.util.Collections;
 import java.util.Iterator;
@@ -31,7 +27,6 @@ import java.util.Spliterator;
 import java.util.function.Consumer;
 import java.util.function.ObjIntConsumer;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A collection that supports order-independent equality, like {@link Set}, but may have duplicate
@@ -86,9 +81,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Kevin Bourrillion
  * @since 2.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
-public interface Multiset<E extends @Nullable Object> extends Collection<E> {
+public interface Multiset<E extends Object> extends Collection<E> {
   // Query Operations
 
   /**
@@ -135,7 +129,6 @@ public interface Multiset<E extends @Nullable Object> extends Collection<E> {
    *     null elements. Note that if {@code occurrences} is zero, the implementation may opt to
    *     return normally.
    */
-  @CanIgnoreReturnValue
   int add(@ParametricNullness E element, int occurrences);
 
   /**
@@ -157,7 +150,6 @@ public interface Multiset<E extends @Nullable Object> extends Collection<E> {
    * @throws IllegalArgumentException if {@link Integer#MAX_VALUE} occurrences of {@code element}
    *     are already contained in this multiset
    */
-  @CanIgnoreReturnValue
   @Override
   boolean add(@ParametricNullness E element);
 
@@ -173,7 +165,6 @@ public interface Multiset<E extends @Nullable Object> extends Collection<E> {
    * @return the count of the element before the operation; possibly zero
    * @throws IllegalArgumentException if {@code occurrences} is negative
    */
-  @CanIgnoreReturnValue
   int remove(@CompatibleWith("E") @CheckForNull Object element, int occurrences);
 
   /**
@@ -188,7 +179,6 @@ public interface Multiset<E extends @Nullable Object> extends Collection<E> {
    * @param element the element to remove one occurrence of
    * @return {@code true} if an occurrence was found and removed
    */
-  @CanIgnoreReturnValue
   @Override
   boolean remove(@CheckForNull Object element);
 
@@ -205,7 +195,6 @@ public interface Multiset<E extends @Nullable Object> extends Collection<E> {
    *     null elements. Note that if {@code count} is zero, the implementor may optionally return
    *     zero instead.
    */
-  @CanIgnoreReturnValue
   int setCount(@ParametricNullness E element, int count);
 
   /**
@@ -224,7 +213,6 @@ public interface Multiset<E extends @Nullable Object> extends Collection<E> {
    *     null elements. Note that if {@code oldCount} and {@code newCount} are both zero, the
    *     implementor may optionally return {@code true} instead.
    */
-  @CanIgnoreReturnValue
   boolean setCount(@ParametricNullness E element, int oldCount, int newCount);
 
   // Views
@@ -271,7 +259,7 @@ public interface Multiset<E extends @Nullable Object> extends Collection<E> {
    *
    * @since 2.0
    */
-  interface Entry<E extends @Nullable Object> {
+  interface Entry<E extends Object> {
 
     /**
      * Returns the multiset element corresponding to this entry. Multiple calls to this method
@@ -340,7 +328,6 @@ public interface Multiset<E extends @Nullable Object> extends Collection<E> {
    *
    * @since 21.0
    */
-  @Beta
   default void forEachEntry(ObjIntConsumer<? super E> action) {
     checkNotNull(action);
     entrySet().forEach(entry -> action.accept(entry.getElement(), entry.getCount()));
@@ -434,7 +421,6 @@ public interface Multiset<E extends @Nullable Object> extends Collection<E> {
    * <p>This method refines {@link Collection#removeAll} to further specify that it <b>may not</b>
    * throw an exception in response to any of {@code elements} being null or of the wrong type.
    */
-  @CanIgnoreReturnValue
   @Override
   boolean removeAll(Collection<?> c);
 
@@ -451,7 +437,6 @@ public interface Multiset<E extends @Nullable Object> extends Collection<E> {
    *
    * @see Multisets#retainOccurrences(Multiset, Multiset)
    */
-  @CanIgnoreReturnValue
   @Override
   boolean retainAll(Collection<?> c);
 
diff --git a/guava/src/com/google/common/collect/Multisets.java b/guava/src/com/google/common/collect/Multisets.java
index e3203d2..06fafc2 100644
--- a/guava/src/com/google/common/collect/Multisets.java
+++ b/guava/src/com/google/common/collect/Multisets.java
@@ -20,17 +20,13 @@ import static com.google.common.base.Preconditions.checkArgument;
 import static com.google.common.base.Preconditions.checkNotNull;
 import static com.google.common.collect.CollectPreconditions.checkNonnegative;
 import static com.google.common.collect.CollectPreconditions.checkRemove;
-import static java.util.Objects.requireNonNull;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.base.Objects;
 import com.google.common.base.Predicate;
 import com.google.common.base.Predicates;
 import com.google.common.collect.Multiset.Entry;
 import com.google.common.math.IntMath;
 import com.google.common.primitives.Ints;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.io.Serializable;
 import java.util.Arrays;
 import java.util.Collection;
@@ -45,7 +41,6 @@ import java.util.function.Supplier;
 import java.util.function.ToIntFunction;
 import java.util.stream.Collector;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Provides static utility methods for creating and working with {@link Multiset} instances.
@@ -59,7 +54,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Louis Wasserman
  * @since 2.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 public final class Multisets {
   private Multisets() {}
@@ -81,7 +75,7 @@ public final class Multisets {
    *
    * @since 22.0
    */
-  public static <T extends @Nullable Object, E extends @Nullable Object, M extends Multiset<E>>
+  public static <T extends Object, E extends Object, M extends Multiset<E>>
       Collector<T, ?, M> toMultiset(
           Function<? super T, E> elementFunction,
           ToIntFunction<? super T> countFunction,
@@ -99,7 +93,7 @@ public final class Multisets {
    * @param multiset the multiset for which an unmodifiable view is to be generated
    * @return an unmodifiable view of the multiset
    */
-  public static <E extends @Nullable Object> Multiset<E> unmodifiableMultiset(
+  public static <E extends Object> Multiset<E> unmodifiableMultiset(
       Multiset<? extends E> multiset) {
     if (multiset instanceof UnmodifiableMultiset || multiset instanceof ImmutableMultiset) {
       @SuppressWarnings("unchecked") // Since it's unmodifiable, the covariant cast is safe
@@ -120,7 +114,7 @@ public final class Multisets {
     return checkNotNull(multiset);
   }
 
-  static class UnmodifiableMultiset<E extends @Nullable Object> extends ForwardingMultiset<E>
+  static class UnmodifiableMultiset<E extends Object> extends ForwardingMultiset<E>
       implements Serializable {
     final Multiset<? extends E> delegate;
 
@@ -229,8 +223,7 @@ public final class Multisets {
    * @return an unmodifiable view of the multiset
    * @since 11.0
    */
-  @Beta
-  public static <E extends @Nullable Object> SortedMultiset<E> unmodifiableSortedMultiset(
+  public static <E extends Object> SortedMultiset<E> unmodifiableSortedMultiset(
       SortedMultiset<E> sortedMultiset) {
     // it's in its own file so it can be emulated for GWT
     return new UnmodifiableSortedMultiset<E>(checkNotNull(sortedMultiset));
@@ -244,12 +237,12 @@ public final class Multisets {
    * @param n the count to be associated with the returned entry
    * @throws IllegalArgumentException if {@code n} is negative
    */
-  public static <E extends @Nullable Object> Multiset.Entry<E> immutableEntry(
+  public static <E extends Object> Multiset.Entry<E> immutableEntry(
       @ParametricNullness E e, int n) {
     return new ImmutableEntry<E>(e, n);
   }
 
-  static class ImmutableEntry<E extends @Nullable Object> extends AbstractEntry<E>
+  static class ImmutableEntry<E extends Object> extends AbstractEntry<E>
       implements Serializable {
     @ParametricNullness private final E element;
     private final int count;
@@ -304,8 +297,7 @@ public final class Multisets {
    *
    * @since 14.0
    */
-  @Beta
-  public static <E extends @Nullable Object> Multiset<E> filter(
+  public static <E extends Object> Multiset<E> filter(
       Multiset<E> unfiltered, Predicate<? super E> predicate) {
     if (unfiltered instanceof FilteredMultiset) {
       // Support clear(), removeAll(), and retainAll() when filtering a filtered
@@ -317,7 +309,7 @@ public final class Multisets {
     return new FilteredMultiset<E>(unfiltered, predicate);
   }
 
-  private static final class FilteredMultiset<E extends @Nullable Object> extends ViewMultiset<E> {
+  private static final class FilteredMultiset<E extends Object> extends ViewMultiset<E> {
     final Multiset<E> unfiltered;
     final Predicate<? super E> predicate;
 
@@ -411,8 +403,7 @@ public final class Multisets {
    *
    * @since 14.0
    */
-  @Beta
-  public static <E extends @Nullable Object> Multiset<E> union(
+  public static <E extends Object> Multiset<E> union(
       final Multiset<? extends E> multiset1, final Multiset<? extends E> multiset2) {
     checkNotNull(multiset1);
     checkNotNull(multiset2);
@@ -484,7 +475,7 @@ public final class Multisets {
    *
    * @since 2.0
    */
-  public static <E extends @Nullable Object> Multiset<E> intersection(
+  public static <E extends Object> Multiset<E> intersection(
       final Multiset<E> multiset1, final Multiset<?> multiset2) {
     checkNotNull(multiset1);
     checkNotNull(multiset2);
@@ -541,8 +532,7 @@ public final class Multisets {
    *
    * @since 14.0
    */
-  @Beta
-  public static <E extends @Nullable Object> Multiset<E> sum(
+  public static <E extends Object> Multiset<E> sum(
       final Multiset<? extends E> multiset1, final Multiset<? extends E> multiset2) {
     checkNotNull(multiset1);
     checkNotNull(multiset2);
@@ -619,8 +609,7 @@ public final class Multisets {
    *
    * @since 14.0
    */
-  @Beta
-  public static <E extends @Nullable Object> Multiset<E> difference(
+  public static <E extends Object> Multiset<E> difference(
       final Multiset<E> multiset1, final Multiset<?> multiset2) {
     checkNotNull(multiset1);
     checkNotNull(multiset2);
@@ -690,7 +679,6 @@ public final class Multisets {
    *
    * @since 10.0
    */
-  @CanIgnoreReturnValue
   public static boolean containsOccurrences(Multiset<?> superMultiset, Multiset<?> subMultiset) {
     checkNotNull(superMultiset);
     checkNotNull(subMultiset);
@@ -719,14 +707,13 @@ public final class Multisets {
    * @return {@code true} if {@code multisetToModify} was changed as a result of this operation
    * @since 10.0
    */
-  @CanIgnoreReturnValue
   public static boolean retainOccurrences(
       Multiset<?> multisetToModify, Multiset<?> multisetToRetain) {
     return retainOccurrencesImpl(multisetToModify, multisetToRetain);
   }
 
   /** Delegate implementation which cares about the element type. */
-  private static <E extends @Nullable Object> boolean retainOccurrencesImpl(
+  private static <E extends Object> boolean retainOccurrencesImpl(
       Multiset<E> multisetToModify, Multiset<?> occurrencesToRetain) {
     checkNotNull(multisetToModify);
     checkNotNull(occurrencesToRetain);
@@ -770,7 +757,6 @@ public final class Multisets {
    * @since 18.0 (present in 10.0 with a requirement that the second parameter be a {@code
    *     Multiset})
    */
-  @CanIgnoreReturnValue
   public static boolean removeOccurrences(
       Multiset<?> multisetToModify, Iterable<?> occurrencesToRemove) {
     if (occurrencesToRemove instanceof Multiset) {
@@ -808,7 +794,6 @@ public final class Multisets {
    * @return {@code true} if {@code multisetToModify} was changed as a result of this operation
    * @since 10.0 (missing in 18.0 when only the overload taking an {@code Iterable} was present)
    */
-  @CanIgnoreReturnValue
   public static boolean removeOccurrences(
       Multiset<?> multisetToModify, Multiset<?> occurrencesToRemove) {
     checkNotNull(multisetToModify);
@@ -834,7 +819,7 @@ public final class Multisets {
    * Implementation of the {@code equals}, {@code hashCode}, and {@code toString} methods of {@link
    * Multiset.Entry}.
    */
-  abstract static class AbstractEntry<E extends @Nullable Object> implements Multiset.Entry<E> {
+  abstract static class AbstractEntry<E extends Object> implements Multiset.Entry<E> {
     /**
      * Indicates whether an object equals this entry, following the behavior specified in {@link
      * Multiset.Entry#equals}.
@@ -900,7 +885,7 @@ public final class Multisets {
   }
 
   /** An implementation of {@link Multiset#addAll}. */
-  static <E extends @Nullable Object> boolean addAllImpl(
+  static <E extends Object> boolean addAllImpl(
       Multiset<E> self, Collection<? extends E> elements) {
     checkNotNull(self);
     checkNotNull(elements);
@@ -914,7 +899,7 @@ public final class Multisets {
   }
 
   /** A specialization of {@code addAllImpl} for when {@code elements} is itself a Multiset. */
-  private static <E extends @Nullable Object> boolean addAllImpl(
+  private static <E extends Object> boolean addAllImpl(
       Multiset<E> self, Multiset<? extends E> elements) {
     if (elements.isEmpty()) {
       return false;
@@ -945,7 +930,7 @@ public final class Multisets {
   }
 
   /** An implementation of {@link Multiset#setCount(Object, int)}. */
-  static <E extends @Nullable Object> int setCountImpl(
+  static <E extends Object> int setCountImpl(
       Multiset<E> self, @ParametricNullness E element, int count) {
     checkNonnegative(count, "count");
 
@@ -962,7 +947,7 @@ public final class Multisets {
   }
 
   /** An implementation of {@link Multiset#setCount(Object, int, int)}. */
-  static <E extends @Nullable Object> boolean setCountImpl(
+  static <E extends Object> boolean setCountImpl(
       Multiset<E> self, @ParametricNullness E element, int oldCount, int newCount) {
     checkNonnegative(oldCount, "oldCount");
     checkNonnegative(newCount, "newCount");
@@ -975,7 +960,7 @@ public final class Multisets {
     }
   }
 
-  static <E extends @Nullable Object> Iterator<E> elementIterator(
+  static <E extends Object> Iterator<E> elementIterator(
       Iterator<Entry<E>> entryIterator) {
     return new TransformedIterator<Entry<E>, E>(entryIterator) {
       @Override
@@ -986,7 +971,7 @@ public final class Multisets {
     };
   }
 
-  abstract static class ElementSet<E extends @Nullable Object> extends Sets.ImprovedAbstractSet<E> {
+  abstract static class ElementSet<E extends Object> extends Sets.ImprovedAbstractSet<E> {
     abstract Multiset<E> multiset();
 
     @Override
@@ -1023,7 +1008,7 @@ public final class Multisets {
     }
   }
 
-  abstract static class EntrySet<E extends @Nullable Object>
+  abstract static class EntrySet<E extends Object>
       extends Sets.ImprovedAbstractSet<Entry<E>> {
     abstract Multiset<E> multiset();
 
@@ -1056,7 +1041,7 @@ public final class Multisets {
           // Safe as long as we never add a new entry, which we won't.
           // (Presumably it can still throw CCE/NPE but only if the underlying Multiset does.)
           @SuppressWarnings({"unchecked", "nullness"})
-          Multiset<@Nullable Object> multiset = (Multiset<@Nullable Object>) multiset();
+          Multiset<Object> multiset = (Multiset<@Nullable Object>) multiset();
           return multiset.setCount(element, entryCount, 0);
         }
       }
@@ -1070,11 +1055,11 @@ public final class Multisets {
   }
 
   /** An implementation of {@link Multiset#iterator}. */
-  static <E extends @Nullable Object> Iterator<E> iteratorImpl(Multiset<E> multiset) {
+  static <E extends Object> Iterator<E> iteratorImpl(Multiset<E> multiset) {
     return new MultisetIteratorImpl<E>(multiset, multiset.entrySet().iterator());
   }
 
-  static final class MultisetIteratorImpl<E extends @Nullable Object> implements Iterator<E> {
+  static final class MultisetIteratorImpl<E extends Object> implements Iterator<E> {
     private final Multiset<E> multiset;
     private final Iterator<Entry<E>> entryIterator;
     @CheckForNull private Entry<E> currentEntry;
@@ -1133,7 +1118,7 @@ public final class Multisets {
     }
   }
 
-  static <E extends @Nullable Object> Spliterator<E> spliteratorImpl(Multiset<E> multiset) {
+  static <E extends Object> Spliterator<E> spliteratorImpl(Multiset<E> multiset) {
     Spliterator<Entry<E>> entrySpliterator = multiset.entrySet().spliterator();
     return CollectSpliterators.flatMap(
         entrySpliterator,
@@ -1154,7 +1139,7 @@ public final class Multisets {
   }
 
   /** Used to avoid http://bugs.sun.com/view_bug.do?bug_id=6558557 */
-  static <T extends @Nullable Object> Multiset<T> cast(Iterable<T> iterable) {
+  static <T extends Object> Multiset<T> cast(Iterable<T> iterable) {
     return (Multiset<T>) iterable;
   }
 
@@ -1164,7 +1149,6 @@ public final class Multisets {
    *
    * @since 11.0
    */
-  @Beta
   public static <E> ImmutableMultiset<E> copyHighestCountFirst(Multiset<E> multiset) {
     Entry<E>[] entries = (Entry<E>[]) multiset.entrySet().toArray(new Entry[0]);
     Arrays.sort(entries, DecreasingCount.INSTANCE);
@@ -1184,7 +1168,7 @@ public final class Multisets {
    * An {@link AbstractMultiset} with additional default implementations, some of them linear-time
    * implementations in terms of {@code elementSet} and {@code entrySet}.
    */
-  private abstract static class ViewMultiset<E extends @Nullable Object>
+  private abstract static class ViewMultiset<E extends Object>
       extends AbstractMultiset<E> {
     @Override
     public int size() {
diff --git a/guava/src/com/google/common/collect/MutableClassToInstanceMap.java b/guava/src/com/google/common/collect/MutableClassToInstanceMap.java
index 83fbe94..ddad406 100644
--- a/guava/src/com/google/common/collect/MutableClassToInstanceMap.java
+++ b/guava/src/com/google/common/collect/MutableClassToInstanceMap.java
@@ -18,9 +18,7 @@ package com.google.common.collect;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.primitives.Primitives;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.io.Serializable;
 import java.util.HashMap;
 import java.util.Iterator;
@@ -29,7 +27,6 @@ import java.util.Map;
 import java.util.Set;
 import java.util.Spliterator;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A mutable class-to-instance map backed by an arbitrary user-provided map. See also {@link
@@ -45,7 +42,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Kevin Bourrillion
  * @since 2.0
  */
-@GwtIncompatible
 @SuppressWarnings("serial") // using writeReplace instead of standard serialization
 @ElementTypesAreNonnullByDefault
 public final class MutableClassToInstanceMap<B> extends ForwardingMap<Class<? extends B>, B>
@@ -138,14 +134,13 @@ public final class MutableClassToInstanceMap<B> extends ForwardingMap<Class<? ex
 
       @Override
       @SuppressWarnings("nullness") // b/192354773 in our checker affects toArray declarations
-      public <T extends @Nullable Object> T[] toArray(T[] array) {
+      public <T extends Object> T[] toArray(T[] array) {
         return standardToArray(array);
       }
     };
   }
 
   @Override
-  @CanIgnoreReturnValue
   @CheckForNull
   public B put(Class<? extends B> key, B value) {
     return super.put(key, cast(key, value));
@@ -160,7 +155,6 @@ public final class MutableClassToInstanceMap<B> extends ForwardingMap<Class<? ex
     super.putAll(copy);
   }
 
-  @CanIgnoreReturnValue
   @Override
   @CheckForNull
   public <T extends B> T putInstance(Class<T> type, T value) {
@@ -173,7 +167,6 @@ public final class MutableClassToInstanceMap<B> extends ForwardingMap<Class<? ex
     return cast(type, get(type));
   }
 
-  @CanIgnoreReturnValue
   @CheckForNull
   private static <B, T extends B> T cast(Class<T> type, @CheckForNull B value) {
     return Primitives.wrap(type).cast(value);
diff --git a/guava/src/com/google/common/collect/NaturalOrdering.java b/guava/src/com/google/common/collect/NaturalOrdering.java
index 8cb8aef..836452a 100644
--- a/guava/src/com/google/common/collect/NaturalOrdering.java
+++ b/guava/src/com/google/common/collect/NaturalOrdering.java
@@ -18,20 +18,17 @@ package com.google.common.collect;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
 import java.io.Serializable;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /** An ordering that uses the natural order of the values. */
-@GwtCompatible(serializable = true)
 @SuppressWarnings({"unchecked", "rawtypes"}) // TODO(kevinb): the right way to explain this??
 @ElementTypesAreNonnullByDefault
 final class NaturalOrdering extends Ordering<Comparable<?>> implements Serializable {
   static final NaturalOrdering INSTANCE = new NaturalOrdering();
 
-  @CheckForNull private transient Ordering<@Nullable Comparable<?>> nullsFirst;
-  @CheckForNull private transient Ordering<@Nullable Comparable<?>> nullsLast;
+  @CheckForNull private transient Ordering<Comparable<?>> nullsFirst;
+  @CheckForNull private transient Ordering<Comparable<?>> nullsLast;
 
   @Override
   public int compare(Comparable<?> left, Comparable<?> right) {
@@ -41,8 +38,8 @@ final class NaturalOrdering extends Ordering<Comparable<?>> implements Serializa
   }
 
   @Override
-  public <S extends Comparable<?>> Ordering<@Nullable S> nullsFirst() {
-    Ordering<@Nullable Comparable<?>> result = nullsFirst;
+  public <S extends Comparable<?>> Ordering<S> nullsFirst() {
+    Ordering<Comparable<?>> result = nullsFirst;
     if (result == null) {
       result = nullsFirst = super.<Comparable<?>>nullsFirst();
     }
@@ -50,8 +47,8 @@ final class NaturalOrdering extends Ordering<Comparable<?>> implements Serializa
   }
 
   @Override
-  public <S extends Comparable<?>> Ordering<@Nullable S> nullsLast() {
-    Ordering<@Nullable Comparable<?>> result = nullsLast;
+  public <S extends Comparable<?>> Ordering<S> nullsLast() {
+    Ordering<Comparable<?>> result = nullsLast;
     if (result == null) {
       result = nullsLast = super.<Comparable<?>>nullsLast();
     }
diff --git a/guava/src/com/google/common/collect/NullnessCasts.java b/guava/src/com/google/common/collect/NullnessCasts.java
index 6ceeda7..448e182 100644
--- a/guava/src/com/google/common/collect/NullnessCasts.java
+++ b/guava/src/com/google/common/collect/NullnessCasts.java
@@ -14,12 +14,9 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /** A utility method to perform unchecked casts to suppress errors produced by nullness analyses. */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 final class NullnessCasts {
   /**
@@ -52,7 +49,7 @@ final class NullnessCasts {
    */
   @ParametricNullness
   @SuppressWarnings("nullness")
-  static <T extends @Nullable Object> T uncheckedCastNullableTToT(@CheckForNull T t) {
+  static <T extends Object> T uncheckedCastNullableTToT(@CheckForNull T t) {
     return t;
   }
 
@@ -60,7 +57,7 @@ final class NullnessCasts {
   @SuppressWarnings({"nullness", "TypeParameterUnusedInFormals"})
   // The warnings are legitimate. Each time we use this method, we document why.
   @ParametricNullness
-  static <T extends @Nullable Object> T unsafeNull() {
+  static <T extends Object> T unsafeNull() {
     return null;
   }
 
diff --git a/guava/src/com/google/common/collect/NullsFirstOrdering.java b/guava/src/com/google/common/collect/NullsFirstOrdering.java
index ce8be2f..aeed9c1 100644
--- a/guava/src/com/google/common/collect/NullsFirstOrdering.java
+++ b/guava/src/com/google/common/collect/NullsFirstOrdering.java
@@ -16,15 +16,12 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import java.io.Serializable;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /** An ordering that treats {@code null} as less than all other values. */
-@GwtCompatible(serializable = true)
 @ElementTypesAreNonnullByDefault
-final class NullsFirstOrdering<T extends @Nullable Object> extends Ordering<@Nullable T>
+final class NullsFirstOrdering<T extends Object> extends Ordering<T>
     implements Serializable {
   final Ordering<? super T> ordering;
 
@@ -48,19 +45,19 @@ final class NullsFirstOrdering<T extends @Nullable Object> extends Ordering<@Nul
 
   @Override
   @SuppressWarnings("nullness") // should be safe, but not sure if we can avoid the warning
-  public <S extends @Nullable T> Ordering<S> reverse() {
+  public <S extends T> Ordering<S> reverse() {
     // ordering.reverse() might be optimized, so let it do its thing
     return ordering.reverse().nullsLast();
   }
 
   @SuppressWarnings("unchecked") // still need the right way to explain this
   @Override
-  public <S extends T> Ordering<@Nullable S> nullsFirst() {
+  public <S extends T> Ordering<S> nullsFirst() {
     return (Ordering<@Nullable S>) this;
   }
 
   @Override
-  public <S extends T> Ordering<@Nullable S> nullsLast() {
+  public <S extends T> Ordering<S> nullsLast() {
     return ordering.<S>nullsLast();
   }
 
diff --git a/guava/src/com/google/common/collect/NullsLastOrdering.java b/guava/src/com/google/common/collect/NullsLastOrdering.java
index 6f8f74c..58f3e8a 100644
--- a/guava/src/com/google/common/collect/NullsLastOrdering.java
+++ b/guava/src/com/google/common/collect/NullsLastOrdering.java
@@ -16,15 +16,12 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import java.io.Serializable;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /** An ordering that treats {@code null} as greater than all other values. */
-@GwtCompatible(serializable = true)
 @ElementTypesAreNonnullByDefault
-final class NullsLastOrdering<T extends @Nullable Object> extends Ordering<@Nullable T>
+final class NullsLastOrdering<T extends Object> extends Ordering<T>
     implements Serializable {
   final Ordering<? super T> ordering;
 
@@ -48,19 +45,19 @@ final class NullsLastOrdering<T extends @Nullable Object> extends Ordering<@Null
 
   @Override
   @SuppressWarnings("nullness") // should be safe, but not sure if we can avoid the warning
-  public <S extends @Nullable T> Ordering<S> reverse() {
+  public <S extends T> Ordering<S> reverse() {
     // ordering.reverse() might be optimized, so let it do its thing
     return ordering.reverse().nullsFirst();
   }
 
   @Override
-  public <S extends T> Ordering<@Nullable S> nullsFirst() {
+  public <S extends T> Ordering<S> nullsFirst() {
     return ordering.<S>nullsFirst();
   }
 
   @SuppressWarnings("unchecked") // still need the right way to explain this
   @Override
-  public <S extends T> Ordering<@Nullable S> nullsLast() {
+  public <S extends T> Ordering<S> nullsLast() {
     return (Ordering<@Nullable S>) this;
   }
 
